System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeStatement System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

can be used to represent a statement that adds an event-handler delegate for an event. The property indicates the event to attach the event handler to. The property indicates the event handler to attach.

Represents a statement that attaches an event-handler delegate to an event.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified event and delegate.

  A that indicates the event to attach an event handler to.
  A that indicates the new event handler.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified object containing the event, event name, and event-handler delegate.

  A that indicates the object that contains the event.
  The name of the event to attach an event handler to.
  A that indicates the new event handler.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeEventReferenceExpression To be added: an object of type 'CodeEventReferenceExpression' To be added

  Gets or sets the event to attach an event-handler delegate to.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeExpression To be added: an object of type 'CodeExpression' To be added

  Gets or sets the new event-handler delegate to attach to the event.